package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag721;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT721Creator;

/**
 * @author wuzhe
 * @date 2023/2/28
 */
public class Tag20Creator extends AbsTagCreate {

     private MT721Creator mt721Creator;

    public Tag20Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt721Creator= (MT721Creator) absMTCreator;
    }

    public  void creator()
    {
        String tag20Value = mt721Creator.getTransferringBankReference();
        mt721Creator.set("20", tag20Value);
    }
}
